//
// AEon's Timeless
//################

// Skybox - yellowish sun...
textures/aetime/aetime_skybox
{
	qer_editorimage textures/aetime/skybox1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 255 254 162 155 225 60
	q3map_surfacelight 130
	skyparms env/aetime/aetime_sky_dp - -
} 

// proto_zzztblu3 was too agressive
textures/aetime/ae_zzztblu3
{
	qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

          
// Evil's Texture Pack 8 - addapted shaders by AEon
// #####################

textures/aetime/ae_e8minitrimlight
{
	qer_editorimage textures/aetime/e8minitrimlight.tga
	q3map_lightimage textures/aetime/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/aetime/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/aetime/e8minitrimlight.blend.tga
		blendfunc add
	}
}


// Evil's Texture Pack 8 - default shaders - only path changed
// #####################

textures/aetime/e8_launchpad1
{
	q3map_lightimage textures/aetime/e8_launchpad1.blend.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/aetime/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/aetime/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/aetime/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/aetime/e8jumpspawn02b
{
	q3map_lightimage textures/aetime/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/aetime/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/aetime/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/aetime/e8tinylight
{
	qer_editorimage textures/aetime/e8tinylight.tga
	q3map_lightimage textures/aetime/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/aetime/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/aetime/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/aetime/e8trimlight
{
	qer_editorimage textures/aetime/e8trimlight.tga
	q3map_lightimage textures/aetime/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/aetime/e8trimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/aetime/e8trimlight.blend.tga
		blendfunc add
	}
}

textures/aetime/e8lighttrim_b_static
{
	qer_editorimage textures/aetime/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/aetime/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/aetime/e8lighttrim_b.blend.tga
		blendfunc add
	}
}
